Name:          monodevelop-database
Version:       4.0.12
Release:       %mkrel 1
License:       MIT
BuildArch:     noarch
URL:           http://www.go-mono.com
Source0:       http://download.mono-project.com/sources/monodevelop-database/%{name}-%{version}-3.tar.bz2
BuildRequires: mono-devel
BuildRequires: monodevelop >= %version
BuildRequires: gnome-desktop-sharp-devel
BuildRequires: mysql-connector-net-devel
BuildRequires: mono-addins-devel
Summary:       Monodevelop Database Addin
Group:         Development/Other

%description
Monodevelop Database Addin

%package devel
Summary:  Development files for MonoDevelop Database Add-in
Group:    Development/Other
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Database Add-in for MonoDevelop. Development package.

The %{name}-devel package contains development 
files for %{name}.

%prep
%setup -q
cp -f %_prefix/lib/mono/mysql-connector-net/MySql.Data.dll contrib/MySql

%build
./configure --prefix=%_prefix
make

%install
rm -rf "%{buildroot}"
%makeinstall_std

mkdir -p %{buildroot}%_prefix/share/pkgconfig
for langdir in %buildroot%_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/locale/*; do
echo "%lang($(basename $langdir)) $(echo $langdir |sed s!%buildroot!!)" >> %name.lang
done
#missed monodevelop addins
ln -sf %_prefix/lib/mono/mysql-connector-net/MySql.Data.dll %buildroot%_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/MySql.Data.dll

%files -f %name.lang
%dir %_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/
%_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/*.dll
%_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/*.mdb
%_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/icons/
%dir %_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/locale/

%files devel
%_prefix/lib/pkgconfig/monodevelop-database.pc


%changelog
* Wed Sep 25 2013 pinoc <vogtpet at gmail.com> 4.0.12-1pclos2013
- imported package monodevelop-database

